# Created by pyp2rpm-3.3.2
%global pypi_name sphinxcontrib-apidoc

%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %mkrel 6
Summary:        A Sphinx extension for running 'sphinx-apidoc' on each build
Group:          Development/Python
License:        None
URL:            https://github.com/sphinx-contrib/apidoc
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
sphinx-apidoc is a tool for automatic generation of Sphinx
sources that, using the autodoc extension, documents a whole
package in the style of other automatic API documentation tools.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pbr)
Requires:       python3dist(sphinx) >= 1.6.0

%description -n python3-%{pypi_name}
sphinx-apidoc is a tool for automatic generation of Sphinx
sources that, using the autodoc extension, documents a whole
package in the style of other automatic API documentation tools.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# relax deps
perl -pi -e 's/pytest.*/pytest/' test-requirements.txt

%build
%py3_build

%install
%py3_install

# we don't want these
find %{buildroot} -name "*.pth" -delete

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib
%{python3_sitelib}/sphinxcontrib_apidoc-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.3.0-6.mga9
+ Revision: 1832838
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 0.3.0-5.mga9
+ Revision: 1784618
- rebuild for python-3.10
- disable tests which error with py3.10

* Mon Mar 22 2021 guillomovitch <guillomovitch> 0.3.0-4.mga9
+ Revision: 1707947
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-3.mga8
+ Revision: 1533245
- Mageia 8 Mass Rebuild

* Thu Sep 19 2019 guillomovitch <guillomovitch> 0.3.0-2.mga8
+ Revision: 1443779
- rebuild for python 3.8

* Sun Aug 25 2019 wally <wally> 0.3.0-1.mga8
+ Revision: 1431874
- imported package python-sphinxcontrib-apidoc

